Uploaded image for project: 'PUBLIC - Liferay Portal Community Edition'
  1. PUBLIC - Liferay Portal Community Edition
  2. LPS-64120

JSPAnalyzer for WABs is not handling Require-Capability properly for JSP hooks

    Details

      Description

      For WABs that include also include JSP hooks (liferay-hooks.xml), the JSP Analyzer is adding Require-Capability that is not truly required for the module.

      For instance, saml-portlet is a WAB which contains a hook. However, the WAB generates:
      Require-Capability: osgi.extender; filter:="(&(osgi.extender=jsp.taglib)(uri=http://struts.apache.org/tags-tiles))"

      In this case, the tags-tiles is provided in the portal-web which is where the JSP hooks get contributed to.

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                0 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Days since last comment:
                  3 years, 39 weeks ago

                  Packages

                  Version Package
                  7.0.0 CE RC1